- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
MinCostArborescence< GR, CM, TR >::DualIt Class Reference

## Detailed Description

### template<typename GR, typename CM, typename TR>
class lemon::MinCostArborescence< GR, CM, TR >::DualIt

This class provides a common style LEMON iterator for getting a dual variable of MinCostArborescence algorithm. It iterates over a subset of the nodes.

`#include <lemon/min_cost_arborescence.h>`

## Public Member Functions
| DualIt (const MinCostArborescence &algorithm, int variable)
| Constructor. More...
| operator Node () const
| Conversion to `Node`. More...
DualIt & | operator++ ()
| Increment operator. More...
bool | operator== (Invalid) const
| Validity checking. More...
bool | operator!= (Invalid) const
| Validity checking. More...

## Constructor & Destructor Documentation

DualIt | ( | const MinCostArborescence & | algorithm,
|  | int | variable
| ) |  |
| inline

Constructor for getting the nodeset of the dual variable of MinCostArborescence algorithm.

## Member Function Documentation

operator Node | ( |  | ) | const
| inline

Conversion to `Node`.

DualIt& operator++ | ( |  | ) |
| inline

Increment operator.

bool operator== | ( | Invalid |  | ) | const
| inline

Checks whether the iterator is invalid.

bool operator!= | ( | Invalid |  | ) | const
| inline

Checks whether the iterator is valid.